import 'dart:io';

import 'package:flutter/cupertino.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:tencent_im_base/tencent_im_base.dart';

class FormSaveBranch extends StatefulWidget {
  final dynamic payload;
  final Function onClickItem;
  const FormSaveBranch({super.key, this.payload, required this.onClickItem});

  @override
  State<StatefulWidget> createState() => _FormSaveBranchState();
}

class _FormSaveBranchState extends TIMState<FormSaveBranch> {
  bool hasReply = false;
  Future<V2TimMsgCreateInfoResult?> clickItem({required String text}) async {
    final res = await TencentImSDKPlugin.v2TIMManager
        .getMessageManager()
        .createTextMessage(text: text);
    if (res.code == 0) {
      final messageResult = res.data;
      V2TimMessage? messageInfo = messageResult!.messageInfo;
      if (!kIsWeb && (Platform.isMacOS || Platform.isWindows)) {
        messageInfo?.id = messageResult.id;
      }
      widget.onClickItem(messageInfo: messageInfo);
      return messageResult;
    }
    return null;
  }

  Widget timBuild(BuildContext context) {
    final header = widget.payload['header'] ?? "";
    final list = widget.payload['items'] ?? [];

    print(widget.payload);
    print('widget.payload');
    print('widget.payload');

    return Container(
      constraints: BoxConstraints(maxWidth: 250),
      child: Column(crossAxisAlignment: CrossAxisAlignment.start, children: [
        Padding(
          padding: const EdgeInsets.fromLTRB(0, 0, 0, 5),
          child: Text(header),
        ),
        ...list.map((item) {
          return GestureDetector(
            child: Padding(
                padding: const EdgeInsets.fromLTRB(0, 2, 0, 5),
                child: Text(
                  item['content'],
                  style: TextStyle(color: Colors.blue, fontSize: 16),
                )),
            onTap: () {
              if (hasReply) {
                return;
              }
              hasReply = true;
              clickItem(text: item['content']);
            },
          );
        })
      ]),
    );
  }
}
